// Задача "Произведение"
// 4-ая Интернет-олимпиада сезона 2007-2008, базовый уровень
// Автор задачи: Федор Царев, tsarev@rain.ifmo.ru
// Автор решения: Антон Феськов, argentony@gmail.com 

import java.io.*;
import java.util.*;

public class product_af {
	public static int Mod = 366239;
	public static boolean[] u;
	
	public static long dfs(int c, int x) {
		if (c == u.length) return x % Mod;
		long tans = 1;
		for (int i = 0; i < u.length; i++) {
			if (!u[i]) {
				u[i] = true;
				tans = (tans * dfs(c + 1, x * 10 + Num[i])) % Mod;
				u[i] = false;
			}
		}
		return tans;
	}
	
	public static int[] Num; 
	
	public static void main(String[] args) throws IOException {
		Scanner in  = new Scanner(new File("product.in"));
		PrintWriter out = new PrintWriter("product.out");
		long n = in.nextLong();
		String s = "" + n;
		u = new boolean[s.length()];
		Num = new int[s.length()];
		for (int i = 0; i < s.length(); i++) {
			Num[i] = s.charAt(i) - '0';
		}
		out.println(dfs(0, 0));
		out.close();
	}
}
